package org.infinispan.server.hotrod;
/**
 * This class represents the work to be done by an encoder of a particular
 * Hot Rod protocol version.
 * <p>
 * @author Galder Zamarre&#x00f1;o
 * @since 5.1
 */
public abstract class AbstractVersionedEncoder {
  public   AbstractVersionedEncoder () { throw new RuntimeException(); }
  /**
   * Write the header to the given channel buffer
   */
  public abstract  void writeHeader (org.infinispan.server.hotrod.Response r, io.netty.buffer.ByteBuf buf, org.infinispan.Cache<org.infinispan.remoting.transport.Address, org.infinispan.server.hotrod.ServerAddress> addressCache, org.infinispan.server.hotrod.HotRodServer server) ;
  /**
   * Write operation response using the given channel buffer
   */
  public abstract  void writeResponse (org.infinispan.server.hotrod.Response r, io.netty.buffer.ByteBuf buf, org.infinispan.manager.EmbeddedCacheManager cacheManager, org.infinispan.server.hotrod.HotRodServer server) ;
  /**
   * Write an event, including its header, using the given channel buffer
   */
  public abstract  void writeEvent (org.infinispan.server.hotrod.Events.Event e, io.netty.buffer.ByteBuf buf) ;
}
