package org.infinispan.server.hotrod;
/**
 * Hot Rod server, in charge of defining its encoder/decoder and, if clustered, update the topology information
 * on startup and shutdown.
 * <p>
 * TODO: It's too late for 5.1.1 series. In 5.2, split class into: local and cluster hot rod servers
 * This should safe some memory for the local case and the code should be cleaner
 * <p>
 * @author Galder Zamarre&#x00f1;o
 * @since 4.1
 */
public  class HotRodServer extends org.infinispan.server.core.AbstractProtocolServer implements org.infinispan.server.hotrod.logging.Log {
  public  class ReAddMyAddressListener {
    public   ReAddMyAddressListener (org.infinispan.Cache<org.infinispan.remoting.transport.Address, org.infinispan.server.hotrod.ServerAddress> addressCache, org.infinispan.remoting.transport.Address clusterAddress, org.infinispan.server.hotrod.ServerAddress address) { throw new RuntimeException(); }
    public  void topologyChanged (org.infinispan.notifications.cachelistener.event.TopologyChangedEvent<org.infinispan.remoting.transport.Address, org.infinispan.server.hotrod.ServerAddress> event) { throw new RuntimeException(); }
  }
  static public  int DEFAULT_TOPOLOGY_ID () { throw new RuntimeException(); }
  public   HotRodServer () { throw new RuntimeException(); }
  private  boolean isClustered () { throw new RuntimeException(); }
  private  org.infinispan.remoting.transport.Address clusterAddress () { throw new RuntimeException(); }
  private  org.infinispan.server.hotrod.ServerAddress address () { throw new RuntimeException(); }
  private  org.infinispan.Cache<org.infinispan.remoting.transport.Address, org.infinispan.server.hotrod.ServerAddress> addressCache () { throw new RuntimeException(); }
  private  java.util.concurrent.ConcurrentMap<java.lang.String, org.infinispan.AdvancedCache<byte[], byte[]>> knownCaches () { throw new RuntimeException(); }
  private  java.util.concurrent.ConcurrentMap<java.lang.String, org.infinispan.configuration.cache.Configuration> knownCacheConfigurations () { throw new RuntimeException(); }
  private  java.util.concurrent.ConcurrentMap<java.lang.String, org.infinispan.factories.ComponentRegistry> knownCacheRegistries () { throw new RuntimeException(); }
  private  scala.collection.Seq<org.infinispan.server.core.QueryFacade> queryFacades () { throw new RuntimeException(); }
  private  java.util.concurrent.ConcurrentMap<java.lang.String, javax.security.sasl.SaslServerFactory> saslMechFactories () { throw new RuntimeException(); }
  private  org.infinispan.server.hotrod.ClientListenerRegistry clientListenerRegistry () { throw new RuntimeException(); }
  private  org.infinispan.distexec.DefaultExecutorService distributedExecutorService () { throw new RuntimeException(); }
  private  org.infinispan.server.hotrod.CrashedMemberDetectorListener viewChangeListener () { throw new RuntimeException(); }
  private  org.infinispan.server.hotrod.HotRodServer.ReAddMyAddressListener topologyChangeListener () { throw new RuntimeException(); }
  public  org.infinispan.server.hotrod.iteration.IterationManager iterationManager () { throw new RuntimeException(); }
  public  org.infinispan.server.hotrod.ServerAddress getAddress () { throw new RuntimeException(); }
  public  byte[] query (org.infinispan.AdvancedCache<byte[], byte[]> cache, byte[] query) { throw new RuntimeException(); }
  public  org.infinispan.server.hotrod.ClientListenerRegistry getClientListenerRegistry () { throw new RuntimeException(); }
  public  org.infinispan.server.hotrod.HotRodEncoder getEncoder () { throw new RuntimeException(); }
  public  org.infinispan.server.hotrod.HotRodDecoder getDecoder () { throw new RuntimeException(); }
  public  void startInternal (org.infinispan.server.hotrod.configuration.HotRodServerConfiguration configuration, org.infinispan.manager.EmbeddedCacheManager cacheManager) { throw new RuntimeException(); }
  private <T extends java.lang.Object> void loadFilterConverterFactories (java.lang.Class<T> c, scala.Function2<java.lang.String, T, java.lang.Object> action) { throw new RuntimeException(); }
  private  scala.collection.Seq<org.infinispan.server.core.QueryFacade> loadQueryFacades () { throw new RuntimeException(); }
  public  void startTransport () { throw new RuntimeException(); }
  public  org.infinispan.Cache<java.lang.Object, java.lang.Object> startDefaultCache () { throw new RuntimeException(); }
  private  void preStartCaches () { throw new RuntimeException(); }
  private  void validateCacheConfiguration (org.infinispan.configuration.cache.Configuration cacheCfg) { throw new RuntimeException(); }
  private  void addSelfToTopologyView (org.infinispan.manager.EmbeddedCacheManager cacheManager) { throw new RuntimeException(); }
  private  void defineTopologyCacheConfig (org.infinispan.manager.EmbeddedCacheManager cacheManager) { throw new RuntimeException(); }
  protected  org.infinispan.configuration.cache.ConfigurationBuilder createTopologyCacheConfig (long distSyncTimeout) { throw new RuntimeException(); }
  public  org.infinispan.AdvancedCache<byte[], byte[]> getKnownCacheInstance (java.lang.String cacheName) { throw new RuntimeException(); }
  public  org.infinispan.AdvancedCache<byte[], byte[]> getCacheInstance (java.lang.String cacheName, org.infinispan.manager.EmbeddedCacheManager cacheManager, boolean skipCacheCheck) { throw new RuntimeException(); }
  public  org.infinispan.configuration.cache.Configuration getCacheConfiguration (java.lang.String cacheName) { throw new RuntimeException(); }
  public  org.infinispan.factories.ComponentRegistry getCacheRegistry (java.lang.String cacheName) { throw new RuntimeException(); }
  public  void tryRegisterMigrationManager (java.lang.String cacheName, org.infinispan.AdvancedCache<byte[], byte[]> cache) { throw new RuntimeException(); }
  private  void setupSasl () { throw new RuntimeException(); }
  public  javax.security.sasl.SaslServerFactory getSaslServerFactory (java.lang.String mech) { throw new RuntimeException(); }
  private  org.infinispan.Cache<org.infinispan.remoting.transport.Address, org.infinispan.server.hotrod.ServerAddress> getAddressCache () { throw new RuntimeException(); }
  public  void addCacheEventFilterFactory (java.lang.String name, org.infinispan.notifications.cachelistener.filter.CacheEventFilterFactory factory) { throw new RuntimeException(); }
  public  void removeCacheEventFilterFactory (java.lang.String name) { throw new RuntimeException(); }
  public  void addCacheEventConverterFactory (java.lang.String name, org.infinispan.notifications.cachelistener.filter.CacheEventConverterFactory factory) { throw new RuntimeException(); }
  public  void removeCacheEventConverterFactory (java.lang.String name) { throw new RuntimeException(); }
  public  void addCacheEventFilterConverterFactory (java.lang.String name, org.infinispan.notifications.cachelistener.filter.CacheEventFilterConverterFactory factory) { throw new RuntimeException(); }
  public  void removeCacheEventFilterConverterFactory (java.lang.String name) { throw new RuntimeException(); }
  public  void setMarshaller (org.infinispan.commons.marshall.Marshaller marshaller) { throw new RuntimeException(); }
  public <K extends java.lang.Object, V extends java.lang.Object, C extends java.lang.Object> void addKeyValueFilterConverterFactory (java.lang.String name, org.infinispan.filter.KeyValueFilterConverterFactory<K, V, C> factory) { throw new RuntimeException(); }
  public <K extends java.lang.Object, V extends java.lang.Object, C extends java.lang.Object> void removeKeyValueFilterConverterFactory (java.lang.String name) { throw new RuntimeException(); }
  public  void stop () { throw new RuntimeException(); }
}
